Update your client software to continue using Let's Encrypt

pavlo
Posty: 11
Rejestracja: wt mar 19, 2019 11:51 am

śr lut 12, 2020 10:03 pm

Skrypt wykonany ale niestety dalej certyfikat się nie odnowił.
Załączniki
2.png
2.png (38.03 KiB) Przejrzano 197 razy
Awatar użytkownika
lesny8
Posty: 981
Rejestracja: pn gru 11, 2017 9:43 pm

śr lut 12, 2020 10:23 pm

Robiłeś restart Supli?

Kod: Zaznacz cały

cd ~/supla-docker
./supla.sh restart
Pomóżcie proszę choć odrobinę
https://pomagam.pl/af3hwf6c
Awatar użytkownika
fracz
Posty: 1792
Rejestracja: pt paź 28, 2016 10:56 pm
Lokalizacja: Rybna

śr lut 12, 2020 11:06 pm

lesny8 pisze:
śr lut 12, 2020 7:29 pm
pavlo pisze:
śr lut 12, 2020 7:03 pm
Screen w załączniku
Ok, wszystko jasne. Wykonaj zgodnie z tą instrukcją i będzie Pan zadowolony :D
viewtopic.php?p=53347#p53347
Co wprowadzają zmiany na Twoim forku i dlaczego nie zaproponujesz ich do głównego projektu?

Imo wystarczy zrobić git pull, docker-compose pull i zrestartować proxy.
Awatar użytkownika
lesny8
Posty: 981
Rejestracja: pn gru 11, 2017 9:43 pm

czw lut 13, 2020 12:09 am

Instalacja proxy na malinie z domyślnych dla konfiguracji obrazów powoduje, że nginx-gen, albo nginx-letsencrypt (nie pamiętam już który) restartuje się w nieskończoność. Dlatego też usilnie kiedyś szukałem i znalazłem obrazy kolegi wouterds, które pozwoliły mi w końcu zobaczyć zieloną kłódkę na własnej malinowej instancji :)
Kiedy jednak zaczęły się problemy z rejestracją kont przez Let'sEncrypt po ACMEv1 to zbudowałem te obrazy sobie sam, uaktualniając wcześniej źródła o wsparcie dla ACMEv2.
Różnica jaka tkwi w tych obrazach to obraz bazowy. O i jeszcze tu.
Pomóżcie proszę choć odrobinę
https://pomagam.pl/af3hwf6c
pavlo
Posty: 11
Rejestracja: wt mar 19, 2019 11:51 am

czw lut 13, 2020 8:49 am

Wykonałem skrypt restartu supli oraz całej maliny, niestety dalej to samo :cry: W logu docera dla kontenera nginx-letsencrypt pojawiają się takie wpisy, może to coś pomoże. Dla bezpieczeństaw zmieniłem tylko nazwę domeny ;)

Creating/renewal mojastorna.xx certificates... (mojastorna.xx)
2020-02-13 06:54:12,462:INFO:simp_le:1414: Generating new certificate private key
2020-02-13 06:54:47,921:ERROR:simp_le:1396: CA marked some of the authorizations as invalid, which likely means it could not access http://example.com/.well-known/acme-challenge/X. Did you set correct path in -d example.com:path or --default_root? Are all your domains accessible from the internet? Please check your domains' DNS entries, your host's network/firewall setup and your webserver config. If a domain's DNS entry has both A and AAAA fields set up, some CAs such as Let's Encrypt will perform the challenge validation over IPv6. If your DNS provider does not answer correctly to CAA records request, Let's Encrypt won't issue a certificate for your domain (see https://letsencrypt.org/docs/caa/). Failing authorizations: https://acme-v02.api.letsencrypt.org/ac ... 2791847251
Traceback (most recent call last):
File "/usr/lib/python3.7/site-packages/simp_le.py", line 1370, in finalize_order
finalized_order = client.poll_and_finalize(order)
File "/usr/lib/python3.7/site-packages/acme/client.py", line 712, in poll_and_finalize
orderr = self.poll_authorizations(orderr, deadline)
File "/usr/lib/python3.7/site-packages/acme/client.py", line 736, in poll_authorizations
raise errors.ValidationError(failed)
acme.errors.ValidationError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.7/site-packages/simp_le.py", line 1443, in persist_new_data
order = finalize_order(client, order)
File "/usr/lib/python3.7/site-packages/simp_le.py", line 1397, in finalize_order
raise Error('Challenge validation has failed, see error log.')
simp_le.Error: Challenge validation has failed, see error log.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.7/site-packages/simp_le.py", line 1565, in main
return main_with_exceptions(cli_args)
File "/usr/lib/python3.7/site-packages/simp_le.py", line 1549, in main_with_exceptions
persist_new_data(args, existing_data)
File "/usr/lib/python3.7/site-packages/simp_le.py", line 1464, in persist_new_data
chain=None,
File "/usr/lib/python3.7/site-packages/simp_le.py", line 1128, in persist_data
plugin.save(new_data)
File "/usr/lib/python3.7/site-packages/simp_le.py", line 557, in save
key = self.dump_key(data.key)
File "/usr/lib/python3.7/site-packages/simp_le.py", line 455, in dump_key
return OpenSSL.crypto.dump_privatekey(self.typ, data.wrapped).strip()
AttributeError: 'NoneType' object has no attribute 'wrapped'

Unhandled error has happened, traceback is above

Debugging tips: -v improves output verbosity. Help is available under --help.
/app
/etc/nginx/certs/scripts.mojastorna.xx /app
Creating/renewal scripts.mojastorna.xx certificates... (scripts.mojastorna.xx)
2020-02-13 06:54:52,123:INFO:simp_le:1414: Generating new certificate private key
2020-02-13 06:55:22,153:ERROR:simp_le:1396: CA marked some of the authorizations as invalid, which likely means it could not access http://example.com/.well-known/acme-challenge/X. Did you set correct path in -d example.com:path or --default_root? Are all your domains accessible from the internet? Please check your domains' DNS entries, your host's network/firewall setup and your webserver config. If a domain's DNS entry has both A and AAAA fields set up, some CAs such as Let's Encrypt will perform the challenge validation over IPv6. If your DNS provider does not answer correctly to CAA records request, Let's Encrypt won't issue a certificate for your domain (see https://letsencrypt.org/docs/caa/). Failing authorizations: https://acme-v02.api.letsencrypt.org/ac ... 2791854442
Traceback (most recent call last):
File "/usr/lib/python3.7/site-packages/simp_le.py", line 1370, in finalize_order
finalized_order = client.poll_and_finalize(order)
File "/usr/lib/python3.7/site-packages/acme/client.py", line 712, in poll_and_finalize
orderr = self.poll_authorizations(orderr, deadline)
File "/usr/lib/python3.7/site-packages/acme/client.py", line 736, in poll_authorizations
raise errors.ValidationError(failed)
acme.errors.ValidationError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.7/site-packages/simp_le.py", line 1443, in persist_new_data
order = finalize_order(client, order)
File "/usr/lib/python3.7/site-packages/simp_le.py", line 1397, in finalize_order
raise Error('Challenge validation has failed, see error log.')
simp_le.Error: Challenge validation has failed, see error log.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.7/site-packages/simp_le.py", line 1565, in main
return main_with_exceptions(cli_args)
File "/usr/lib/python3.7/site-packages/simp_le.py", line 1549, in main_with_exceptions
persist_new_data(args, existing_data)
File "/usr/lib/python3.7/site-packages/simp_le.py", line 1464, in persist_new_data
chain=None,
File "/usr/lib/python3.7/site-packages/simp_le.py", line 1128, in persist_data
plugin.save(new_data)
File "/usr/lib/python3.7/site-packages/simp_le.py", line 557, in save
key = self.dump_key(data.key)
File "/usr/lib/python3.7/site-packages/simp_le.py", line 455, in dump_key
return OpenSSL.crypto.dump_privatekey(self.typ, data.wrapped).strip()
AttributeError: 'NoneType' object has no attribute 'wrapped'

Unhandled error has happened, traceback is above
Awatar użytkownika
lesny8
Posty: 981
Rejestracja: pn gru 11, 2017 9:43 pm

czw lut 13, 2020 10:35 am

Masz problem z wpisem w DNS i wskazuje na inny adres IP niż powinien albo zamknięty/błędnie przekierowany port 80 na routerze.
Pomóżcie proszę choć odrobinę
https://pomagam.pl/af3hwf6c
pavlo
Posty: 11
Rejestracja: wt mar 19, 2019 11:51 am

czw lut 13, 2020 2:32 pm

Tak to był problem z przekierowaniem portu 80. Trzeba było sprawdzić wszystko od początku a nie sugerować się pierwszym wpisem w tym temacie. Zasadniczo wszystko działało więc nie wpadłem na to żeby sprawdzić ustawienia routera. Dziękuję za pomoc.
Awatar użytkownika
lesny8
Posty: 981
Rejestracja: pn gru 11, 2017 9:43 pm

czw lut 13, 2020 3:21 pm

I tak byłby kiedyś problem z odnowieniem, ale już masz ten problem z głowy :)
Pomóżcie proszę choć odrobinę
https://pomagam.pl/af3hwf6c
ODPOWIEDZ